#include <RevisionInfo.hpp>
#include <pastis_git_revision.hpp>
#include <pastis_version.hpp>

std::string RevisionInfo::version()
{
  return PASTIS_VERSION;
}

bool RevisionInfo::hasGitInfo()
{
#ifdef HAS_PASTIS_GIT_INFO
  return true;
#else
  return false;
#endif
}

std::string RevisionInfo::gitTag()
{
#ifdef HAS_PASTIS_GIT_INFO
  return PASTIS_GIT_TAG;
#else
  return "unknown tag";
#endif
}

std::string RevisionInfo::gitHead()
{
#ifdef HAS_PASTIS_GIT_INFO
  return PASTIS_GIT_HEAD;
#else
  return "unknown head";
#endif
}

std::string RevisionInfo::gitHash()
{
#ifdef HAS_PASTIS_GIT_INFO
  return PASTIS_GIT_HASH;
#else
  return "unknown hash";
#endif
}

bool RevisionInfo::gitIsClean()
{
#ifdef HAS_PASTIS_GIT_INFO
  return PASTIS_GIT_IS_CLEAN;
#else
  return false;
#endif
}

